///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.konst;



import java.math.BigInteger;



/******************************************************************************
BigInteger constants.

<p><b>Details:</b>  <code>BIG_INTEGER</code> is a collection of <code>BigInteger</code> constants.</p>

@since 2000.02.21
******************************************************************************/

public class BIG_INTEGER
{



	public static final BigInteger MAX_SLONG  = BigInteger.valueOf (LONG.MAX_SLONG );
	public static final BigInteger MIN_SLONG  = BigInteger.valueOf (LONG.MIN_SLONG );
	public static final BigInteger MAX_ULONG  = new BigInteger ("ffffffffffffffff", 16);
	public static final BigInteger MIN_ULONG  = BigInteger.valueOf (LONG.MIN_ULONG );
	public static final BigInteger MAX_SINT   = BigInteger.valueOf (LONG.MAX_SINT  );
	public static final BigInteger MIN_SINT   = BigInteger.valueOf (LONG.MIN_SINT  );
	public static final BigInteger MAX_UINT   = BigInteger.valueOf (LONG.MAX_UINT  );
	public static final BigInteger MIN_UINT   = BigInteger.valueOf (LONG.MIN_UINT  );
	public static final BigInteger MAX_SSHORT = BigInteger.valueOf (LONG.MAX_SSHORT);
	public static final BigInteger MIN_SSHORT = BigInteger.valueOf (LONG.MIN_SSHORT);
	public static final BigInteger MAX_USHORT = BigInteger.valueOf (LONG.MAX_USHORT);
	public static final BigInteger MIN_USHORT = BigInteger.valueOf (LONG.MIN_USHORT);
	public static final BigInteger MAX_SBYTE  = BigInteger.valueOf (LONG.MAX_SBYTE );
	public static final BigInteger MIN_SBYTE  = BigInteger.valueOf (LONG.MIN_SBYTE );
	public static final BigInteger MAX_UBYTE  = BigInteger.valueOf (LONG.MAX_UBYTE );
	public static final BigInteger MIN_UBYTE  = BigInteger.valueOf (LONG.MIN_UBYTE );



	private BIG_INTEGER () {}



}



