///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.konst;



/******************************************************************************
Short constants.

<p><b>Details:</b>  <code>SHORT</code> is a collection of <code>short</code> constants.</p>

<!--SHOWSOURCE-->

@since 1999.05.13
******************************************************************************/

public class SHORT
{



	/**********************************************************************
	0x7fff.

	<p><b>Details:</b>  Maximum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final short MAX_SSHORT = (short) 0x7fff;



	/**********************************************************************
	0x8000.

	<p><b>Details:</b>  Minimum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final short MIN_SSHORT = (short) 0x8000;



	/**********************************************************************
	0xffff.

	<p><b>Details:</b>  Maximum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final short MAX_USHORT = (short) 0xffff;



	/**********************************************************************
	0x0000.

	<p><b>Details:</b>  Minimum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final short MIN_USHORT = (short) 0x0000;



	/**********************************************************************
	0x007f.

	<p><b>Details:</b>  Maximum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final short MAX_SBYTE  = (short) 0x007f;



	/**********************************************************************
	0x0080.

	<p><b>Details:</b>  Minimum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final short MIN_SBYTE  = (short) 0xff80;



	/**********************************************************************
	0x00ff.

	<p><b>Details:</b>  Maximum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final short MAX_UBYTE  = (short) 0x00ff;



	/**********************************************************************
	0x0000.

	<p><b>Details:</b>  Minimum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final short MIN_UBYTE  = (short) 0x0000;



	private SHORT () {}



}



