///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.security.des.spec;



/******************************************************************************
Left shifts per round.

<p><b>Details:</b>  This class contains a table of the number of left shifts per round, as defined in FIPS PUB 46-2.</p>

@since 1999.08.04
@author Sharky
******************************************************************************/

public class DesPermutedKeyShifts
{



	/**********************************************************************
	Table data.
	**********************************************************************/

	private static final int[] fipsvalues =
	{
		1, 1, 2, 2, 2, 2, 2, 2, 1, 2, 2, 2, 2, 2, 2, 1
	};



	/**********************************************************************
	Returns table value.

	<p><b>Details:</b>  This function returns the indexed FIPS value from this table.  Indeces are according to the FIPS publication.</p>

	@param fipsindex the index (1-16)
	@return the indexed value
	**********************************************************************/

	public static final int getFipsValue (int fipsindex)
	{
		return fipsvalues [fipsindex - 1];
	}



}



