///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.security.des.spec;



/******************************************************************************
Text expansion permutation.

<p><b>Details:</b>  This class contains the FIPS values for the text expansion permutation, identified in FIPS PUB 46-2 as the function "E" ("<i>E</i> bit-selection table").</p>

@since 1999.08.04
@author Sharky
******************************************************************************/

final class DesTextExpansionPermutation
{



	/**********************************************************************
	Permutation table values.

	<p><b>Details:</b>  This array contains the actual values that define the permutation function.</p>

	@version 1999
	@since 1999
	**********************************************************************/

	static final int[] fipsvalues =
	{
		32,  1,  2,  3,  4,  5,  4,  5,  6,  7,  8,  9,
		 8,  9, 10, 11, 12, 13, 12, 13, 14, 15, 16, 17,
		16, 17, 18, 19, 20, 21, 20, 21, 22, 23, 24, 25,
		24, 25, 26, 27, 28, 29, 28, 29, 30, 31, 32,  1
	};



}



